function save(save_value=null,editor="code")
{
    var bottom_div,left_span;
	if(editor=="code")
	{
	    bottom_div=document.getElementById("main-control2").contentWindow.document.getElementById("bottom_div");
        left_span=document.getElementById("main-control2").contentWindow.document.getElementById("left-span");
        bottom_div.style.background="#0033FF";
        left_span.innerHTML="￥{LanguageCode:3001}￥";
	}
	else
	{
        var status_text=document.getElementById("status-text");
        status_text.style.color="#0033FF";
        status_text.innerHTML="￥{LanguageCode:3001}￥";
	}
	if(save_value==null)
	{
        editor=ace.edit("editor");
        save_value=editor.getValue();
        console.log(save_value);
	}
	var send_value=encodeURIComponent(save_value);
	//console.log(GetQueryString("path"));
	try
	{
	    axios.post("/save?path="+encodeURIComponent(GetQueryString("path")),data=send_value).
		then(function(response)
			{
				console.log(response);
				if(response.status==200)
				{
                    if(editor=="code")
                    {
                        bottom_div.style.background="#38b400";
                        left_span.innerHTML="￥{LanguageCode:3002}￥";
					}
                    else
                    {
                        var status_text=document.getElementById("status-text");
                        status_text.style.color="#38b400";
                        status_text.innerHTML="￥{LanguageCode:3002}￥";
                    }
				}
				else
				{
                    if(editor=="code")
                    {
                        bottom_div.style.background="red";
                        left_span.innerHTML="￥{LanguageCode:3003}￥";
					}
                    else
                    {
                        var status_text=document.getElementById("status-text");
                        status_text.style.color="red";
                        status_text.innerHTML="￥{LanguageCode:3003}￥";
                    }
				}
			}
		);
	}
	catch(err)
	{
        if(editor=="code")
        {
            bottom_div.style.background="red";
            left_span.innerHTML="￥{LanguageCode:3003}￥";
        }
        else
        {
            var status_text=document.getElementById("status-text");
            status_text.style.color="red";
            status_text.innerHTML="￥{LanguageCode:3003}￥";
        }
	}
}